
--# Glade version of test11.ex

include GtkEngine.e

add(builder,"~/demos/glade/test11.glade")

main()

-----------------------------------------------
global function on_button_clicked(Button self) 
-----------------------------------------------
switch get(self,"name") do
 case "left" then set("label1","justify",GTK_JUSTIFY_LEFT)
 case "center" then set("label1","justify",GTK_JUSTIFY_CENTER)
 case "right" then set("label1","justify",GTK_JUSTIFY_RIGHT)
end switch
return 1
end function

